/**
 * @file SerialCmd.h
 * @author Ollo
 * @brief 
 * @version 0.1
 * @date 2024-12-06
 * 
 * @copyright Copyright (c) 2024
 * 
 */
#ifndef SERIALCMD_H
#define SERIALCMD_H

#include <stdint.h>

/* Define commands: */
#define SERIALCMD_COMMAND_SETLED        "l"
#define SERIALCMD_COMMAND_AUTOMATIC     "a"
#define SERIALCMD_COMMAND_FAN           "f"

#define SERIALCMD_COMMAND_HELP          "ollpehelp"
#define SERIALCMD_PARAMETER_OFFSET      6

int SerialCmd_readFromSerial (void);

void SerialCmd_clearCmdArray (void);

int SerialCmd_checkCmdArrayForPrefix (void);

uint32_t SerialCmd_parseColor(unsigned int startOffset);

int SerialCmd_parseNumber(unsigned int startOffset);

char SerialCmd_type(void);
void SerialCmd_help(void);

#endif /* SERIALCMD_H */
