/**
 * @file controller.h
 * @author Ollo
 * @brief 
 * @version 0.1
 * @date 2024-11-28
 * 
 * @copyright Copyright (c) 2024
 * 
 */
#ifndef FANLEDCTL_PINS
#define FANLEDCTL_PINS


/******************************************************************************
 *                BEHAVIOR DEFINES
 ******************************************************************************/

#define LOW_FAN_SPEED   500 /**< Rounds per Minute */


/******************************************************************************
 *                 PINOUT         DEFINES
 ******************************************************************************/

#define FAN_PIN         D6  /**< Output Pin, controlling FAN speed via PWM */
#define SIGNAL_PIN      D7  /**< Input Pin, reading current FANs RPM*/

#define GPIO_DS18B20    D2  /**< One-Wire used for Dallas temperature sensor */

#define WS2812SINGLE_GPIO_PIN    D3
#define WS2812SINGLE_LEDS        3

#define WS2812STRIP_GPIO_PIN    D5
#define WS2812STRIP_LEDS        20

#endif /* End FANLEDCTL_PINS */